#ifndef COMMON_CK
#define COMMON_CK

#include "rnkissM.h"

using namespace MyRNKISS;

namespace cmmn {

	double Logit( double p );

	void qSort( double * d, int Lb, int Ub );

	void calc_stat( int n, double * data, double & mean, double & median, double & L95Intvl, double & U95Intvl, double & prob );

	double scale_sgm( double sgm );

	extern double ** gX, * gY_P, * gY_N;

	ref class mcmc {
		public:
				myrn * rn;
				int n, p, n_simu;
				double ** pX, * pY_P, * pY_N;
				double ** b;
				double * sgm;
				int * cnt;
				String ^ msg;

				void byebye(){ }
		protected:
				!mcmc(){
					byebye();
				}
		public:
				virtual ~mcmc(){
					byebye();
				}

				void set_mcmc( int vn, int vp, int vn_simu, double ** vX, double * vY_P, double * vY_N);

				double LogL( double * b );

				void do_mcmc();

	};

}

#endif
